        News

   [2015-11-26] herold Release 8.0.1
              * Fixed another wrong section nesting within document
                fragments. (Trafo Issue #2)

   [2015-11-21] herold Release 8.0.0
              * The mapping of HTML elements and attributes element can be
                fine tuned by using node or attribute sections. See the
                manual for details Herold Manpage.
              * Fixed wrong section nesting within document fragments. (Trafo
                Issue #1)

   [2015-05-27] dodo Release 8.0.2
              * Fixed pdf customization layer. A lot of white space was
                produced under certain circumstances.
              * Minor fixes.

   [2015-05-27] dbdoclet Release 8.0.3
              * Cleanup of the log messages.
              * Minor fixes.

   [2014-09-03] dbdoclet Release 8.0.2
              * Validation against the DocBook5 XSD Schema while constructing
                the document.

   [2014-07-30] dbdoclet Release 8.0.1
              * Support for JDK 1.8.
              * Possibility to specify special configurations for problematic
                classes.
              * New command line option -f (Issue #2).
              * Fixed ClassCastException in BrEditor (Issue #1).
              * Fixed "Cannot find class" error in dbdoclet.bat (Issue #3).

   [2014-02-28] dbdoclet Release 7.1.0
              * The generated UML class diagrams are containing the
                information about the fields and methods for the documented
                class now.
              * Bug fixes.

   [2014-02-28] dodo Release 7.0.0
              * Improved PDF layout.
              * Updated dbdoclet and fop.
              * GUI bug fixes.

   [2013-10-23] dbdoclet Release 7.0.0
              * The javadoc doclet is now separated from GUI.
              * The javadoc doclet is now released under the GPLv3.
              * New configuration parameters.
              * Improved cross references.
              * Fixed processing of @inheritDoc tag.
              * Minor fixes.

   [2013-03-27] herold Release 6.1.0
              * New section detection via css class names. If your HTML
                contains headings which are not using the h1-6 tags, but via
                css formatted p, div or similiar tags, the new section
                detection can help you to create the proper sectioning
                structure in DocBook.
              * List detection via css class names. Sometimes HTML contains
                "lists", which truly are special formatted paragraphs. The
                new list detection can help you to reconstruct the proper
                lists in DocBook.

   [2013-02-20] dbdoclet Release 6.1.0
              * New configuration file format.
              * GUI fixes.

   [2012-12-20] herold Release 6.0.4
              * Fixed invalid section nesting, when parameter
                create-remap-attribute is false.
              * Processing of more meta elements.
              * Minor fixes.

   [2012-11-29] herold Release 6.0.3
              * Preserving of the attribute lang of pre elements.
              * Cleaning up of command line arguments.
              * New and improved profiles.
              * Fixed creation of invalid DocBook XML when transforming an a
                element with a nested img element.
              * Processing of meta elements.
              * Minor fixes.

   [2012-11-04] herold Release 6.0.2
              * Fixed usage of invalid values for align attribute.
              * Fixed wrong normalization of literal environments.

   [2012-04-25] herold Release 6.0.1
              * herold is now licensed under GPLv3.
              * Reorganisation of command line arguments.
              * Introduction of profile files.
              * Stopped support for groovy scripts.
              * Fixed computation of colspans.

   [2012-03-07] herold Release 6.0.0
              * Fixed HTML parser bugs.
              * Improved error recovery in HTML parser.
              * Fixed handling of nested subtables.
              * Replaced elements sect1..sect5 in books with element section.
              * New command line option -v for verbose.
              * Improved transformation.

   [2011-11-05] dbdoclet Release 6.0.3
              * Added parameter -useexternalfile=true to javadoc ant task
                (CreateProcess error=206)
              * Fixed jar version conflict in dbdoclet.jar
                (InvocationTargetException).
              * Fixed path generation for dbdoclet projects.
              * Minor fixes

   [2011-10-31] dbdoclet Release 6.0.2
              * GUI improvements.
              * Bug fixes.

   [2011-10-24] herold Release 5.4.0
              * Improved customization possibilities via groovy scripts.
              * New dbdoclet / herold Wiki.
              * Fixed "invalid escape sequence error" in parser.

   [2011-06-17] dbdoclet Release 6.0.1
              * Fixed generation of epub.
              * Embedding of images into the epub zip archive.
              * Fixed generation of javahelp.
              * Incorporation of relative referenced image files into the
                base directory of html, javahelp and eclipsehelp.
              * Support for RTF.
              * Support for Manpages.
              * Support for the parameter generate.toc. The generation of
                ToC/LoTs is now configured using a special dialog.
              * Versioning of the customization files.
              * Upgrade to fop 1.0.
              * Upgrade to docbook-xsl 1.76.1.
              * Stopped support for Java5.

   [2011-04-18] dbdoclet Release 5.2.6
              * Autodetection of system fonts for generations via XSL:FO.
              * Automatic reopening of the last project during startup.

   [2011-01-19] herold Release 5.3.0
              * Added new option --exclude, which can be used to exclude
                nodes from the html source via xpath expressions.
              * Fixed invalid comment nodes.
              * Minor bug fixes.

   [2010-10-29] dbdoclet Release 5.2.5
              * Improved epub generation.
              * Simple Editor for header and footer template.
              * New Look and Feel for the HTML generation.
              * Support for XSL-FO attribute text-indent.
              * Support for XSL-FO attribute start-indent.
              * Support for XSL-FO attribute end-indent.
              * Fixed switching between projects.
              * Fixed disabling of fo property sets.
              * Fixed default table size.
              * Fixed last recently used menu.

   [2010-07-19] dbdoclet Release 5.2.4
              * Maintenance release with minor fixes and improved HTML
                parser.

   [2010-03-09] dbdoclet Release 5.2.3
              * Integration of the DocBook XSL Reference as context sensitive
                help.
              * Integration of the HTML to DocBook transformator.
              * Replaced the old XIncluder with the Xerces feature.
              * Support for the revhistory attribute sets.
              * Fixed logo file chooser.
              * Minor fixes.

   [2010-02-12] herold Release 5.2.4
              * Support for conversion of HTML fragments. Until now you got a
                ugly NullPointerException when trying to convert an
                incomplete HTML document.
              * Improved detection of the title of the document from the HTML
                code. Now the xpath expressions /html/head/title, //h(1-6)[1]
                and //text()[1] are used to find a hopefully reasonable
                title.
              * The new HTML parser didn't treat HTML comments inside of text
                correctly. Now the comments are located and removed from the
                DocBook XML.

   [2010-02-10] herold Release 5.2.3
              * Fixed erroneously supressing of tables by the table.groovy
                script.
              * Customization possibility of HTML elements after parsing.
              * Customization possibility of DocBook elements after
                transformation.
              * Some documentation for groovy customization.

   [2010-01-27] herold Release 5.2.2
              * Improved HTML parser.
              * Fixed nesting of sections.
              * Introduction of a new architecure, which offers the
                possibility to customize the transformation via groovy
                scripts. As of today, only the the elements p, script and
                table are supported. Use the option --script-path to set the
                path to your grovvy scripts and copy the scripts from the jar
                file into it. Then you can start experimenting.

   [2009-11-10] dbdoclet Release 5.2.2-418
              * New argument --ignore-annotation-documented (Doclet panel in
                GUI), which causes all annotations to be documented,
                regardless wether they have a @Documented annotation or not.
              * Transformation of the @deprecated tag contents in the
                Deprecated API chapter.
              * body.font.size is now loaded correctly from the DocBook XSL
                driver.
              * Removed additional whitespace from initializer values.
              * Added missing index to book type reference.
              * Fixed generation of duplicate ids in conjunction with
                signatures containing arrays.

   [2009-10-16] dbdoclet Release 5.2.1-409
              * Fixed missing resource exception for deprecated interfaces.
              * herold: Improved support for links with images.
              * herold: New architecure, with the possibility to customize
                the transformation with groovy scripts.
              * Minor fixes.

   [2009-10-06] dbdoclet Release 5.2.1-405
              * Generation of a Deprecated List.
              * Support for more DocBook XSL parameters.
              * Support for EPUB generation.
              * Many Fixes.

   [2009-08-12] dbdoclet Release 5.2.0-371 (Development)
              * Support for table parameters.
              * Support for list parameters.
              * Support for callout parameters.
              * Fixed some missing resource keys.

   [2009-07-21] dbdoclet Release 5.2.0-342 (Development)
              * Transformation of arbitrary DocBook files.
              * Integration of HTML to DocBook converter (herold)
              * Import of Eclipse projects
              * Creation of eclipse plugins
              * Creation of HTML
              * Improved configuration of DocBook parameters and
                attribute-sets.
              * Redesign of the GUI.

   [2009-03-24] dbdoclet Release 5.1.20
              * Fixed FileAccessDeniedException when creating a new project.
              * Replaced colons in the value of the attribute xml:id with
                underscores, because in contrast to the XML Specification,
                the XML Schema Specification doesn't allow colons for the
                type ID.

   [2009-02-16] dbdoclet Release 5.1.19
              * Fixed generation of wrong class diagrams containing
                interfaces.
              * The value of the attribute xml:id now preserves the case.
              * First (very experimental) version of a new WordML
                transformation (Try Ctrl-W).
              * Many minor fixes and improvements.

   [2008-11-10] dbdoclet Release 5.1.18
              * Improved support for generics.
              * DocBook 5.0 schema violation fixes.
              * Fixed statistics chapter.
              * Many minor fixes and improvements.

   [2008-08-24] dbdoclet Release 5.0.1
              * Support for DocBook 5.0
              * Integration of DocBook XSL 1.74.0
              * Integration of Apache FOP 0.95
              * Enabled linebreaks inside of synopsis.
              * Additional spaces before commata in simplelists are removed.
              * Replaced &#x200b; (Space without width) with &#x00ad;
                (Soft-hyphen) because of problems in the ToC pf PDFs.
              * Generations do not lock the application anymore.
              * The console is part of the main window again.

   [2008-06-02] dbdoclet Release 4.1.14
              * Improved class diagrams with realizations and drop shadows.
              * Reworked line wrapping behaviour.
              * Improved? layout of PDF output.
              * Backported new features for javadoc 1.4.
              * New command line argument -docfilespath, to specify the
                location of the sourcepaths, if only source files are passed
                to javadoc, but no -sourcepath.
              * Support for document type article.

   [2008-04-14] dbdoclet Release 4.1.13
              * Fixed possible locking of the GUI
              * Improved recognition of JDKs on different plattforms
              * Improved GUI with new layout
              * Improved localization of the generated DocBook
              * Support for the jgoodies look and feel
              * Experimental support for generation of XMI
              * New class diagram creator. Graphviz is not needed anymore

   [2008-02-21] herold Release 4.1.13
              * Changed handling of div elements
              * Simple gui. Start with option --gui
              * Window package

   [2007-12-17] dbdoclet Release 4.1.12
              * TiDBiT now comes with a JDK management. Itself it needs a
                Java 5 runtime
              * More Online Help
              * Fixed package names when not using fully qualified names

   [2007-10-14] Release 1.11
              * Fixed invalid protocol messages in HTML parser.
              * Minor bug fixes.

   [2007-07-24] Release 1.10
              * Fixed missing documentation for enum Type.
              * Fixed missing inheritance for interfaces in Class Diagrams.
              * Added support for the javadoc tags {@code}, {@literal} and
                {@value}.
              * Minor bug fixes in dbdoclet.TiDBiT.

   [2007-06-19] Release 1.9
              * Fixed references to doc-files directory.
              * Added support for wrapping of long package names in chapter
                titles.
              * (herold) If several HTML files are transformed in one step,
                references between them is tried to be takenn over.
              * (herold) Several fixes to ensure the generation of valid
                DocBook XML.

   [2007-04-20] Release 1.8
              * Fixed invalid java style ids of parameterized class types.
              * Fixed forgotten full qualified names when disabling the
                "fully qualified name" option.
              * Fixed usage of element code, when element initializer is
                needed with DocBook DTD 4.5.

   [2007-03-15] Release 1.7
              * Fixed the exception which was thrown, when using an overview
                file.
              * Added an emacs minor mode (herold-mode) for the herold.jar
                application. This mode comes with a command named
                herold-html2db (C-xnc) which converts the contents of an HTML
                buffer into a new DocBook buffer.

   [2007-01-17] Release 1.6
              * Support jdk 1.6
              * Upgraded from fop 0.20.5 to fop 0.93
              * New command line parameter -split. If this parameter is set,
                a new XML file is created for every class. This module files
                are referenced via xinclude from them main XML file.
              * Fixed debian package.

   [2006-11-24] Release 1.5
              * Upgrade to DocBook 4.5
              * Upgrade to docbook-xsl 1.71.1
              * Syntax highlightning.
              * New titlepage with user defined logo.
              * Better support for fully qualified names.

   [2006-09-18] Release 1.4
              * [dbdoclet] Support for HTML entities.
              * [dbdoclet.TiDBiT] New configuration parameter for setting the
                maximum jvm memory.
              * [dbdoclet] Major bug fixes.

   [2006-07-17] Release 1.3
              * [dbdoclet.TiDBiT] Support for RTF generation.
              * [dbdoclet.TiDBiT] Improved settings for helper applications.
              * [dbdoclet.TiDBiT] Restructuring of the destination directory.
              * New option for using full qualified names.

   [2006-05-22] Release 1.1
              * Major improvements and bugfixes in the Swing GUI
                dbdoclet.TiDBiT.
              * Fixed unresolved dependency again (RESyntaxException).

   [2006-05-02] Release 1.0.2
              * Fixed unresolved dependency (RESyntaxException).

   [2006-04-22] Release 1.0.1
              * Support for JDK 1.4 and JDK 1.5.
              * Renamed html2db to herold.
              * Many bugfixes.
              * Updated documentation.

   [2006-03-24] Doclets for JDK 1.4.x and 1.5.x
              * Reactivated the JDK 1.4.x doclet.
              * The doclets for JDK 1.4.x and 1.5.x can now be downloaded as
                single jar files.

   [2005-10-14] Release 0.70.1
              * Fixed handling of entity.
              * Improved generation of class sysnopsis.

   [2005-09-27] Release 0.70.0
              * Switched to JDK 1.5.
              * Support for annotations.
              * Support for generics.
              * Removed option --style-type. Only strict DocBook is supported
                in the future.
              * New option -noxreflabel, which supresses the generation of
                xreflabel attributes.
              * Many minor changes and fixes.

   [2005-06-19] Release 0.64.2
              * Many bugfixes

   [2005-04-18] Release 0.64.1
              * dbdoclet failed when graphviz (dot) wasn't installed.
              * Upgraded docbook xsl to 1.68.1.

   [2005-04-13] Release 0.64.0
              * The new property doclet.book.type controls which type of book
                should be created. Two type of books are supported: book and
                reference. The first creates a book, chapters structure and
                the second a reference, refentry one.
              * Renamed the property doclet.style.flavour to
                doclet.style.type (--style-type).
              * The new property doclet.use-appendix (--use-appendix)
                controls whether appendix components should be used or not.
                The default is to use only chapters. When this flag is set,
                certain parts of the document will be created as appendix.
              * If constant field values are of type java.lang.String, they
                are surrounded by double quotes now.
              * Fixed spurious whitespace in para and xref tags.
              * Fixed missing id in table tag.
              * Fixed erroneous entity handling in constant values section.

   [2005-02-09] Release 0.63.0
              * The command line parameter -dot was removed. Now the dot
                program is found via the PATH variable.
              * Basic support for ant variables in dbdtidbit.
              * Fixed wrong number of table columns.
              * Fixed generation of javahelp.
              * Fixed handling of images in the doc-files directories.
              * Minor fixes.

   [2004-12-01] Release 0.62.0
              * Generation of a XMI file, which can be used with Umbrello.
              * Improvement of the strict DocBook style flavour.
              * Support for DocBook 4.3 and 4.2.
              * Sorting of fields and methods.
              * New synopsis section for public static methods.
              * Many minor fixes and improvements.

   [2004-11-19] Fix in Linux RPM
              * 0.61.0-2 - Fixed missing xslt directory. Readded DocBook 4.2.

   [2004-11-01] Release 0.61.0
              * Switched from DocBook V4.2 to DocBook V4.3.
              * Updated to docbook-xsl 1.66.
              * Fixed some nasty bugs in dbdoclet.TiDBiT.

   [2004-10-13] Release 0.60.0
              * New appendix "Constant Field Values".
              * Major improvements were made in the possibilities to compose
                the sourcepath and the classpath in dbdoclet.TiDBiT.
              * Fixed broken option -noprolog.
              * Support for handling of &#XXX; entities.

   [2004-08-29] Release 0.59.1
              * Fixed missing path in classpath for html2db.
              * Improved PDF layouts.

   [2004-08-27] Release 0.59
              * Support for javahelp.
              * Support for customized fo drivers.
              * A lot of improvements and bugfixes.

   [2004-07-16] Fix in windows setup
              * 0.58.1 - Fixed missing class in windows setup package

   [2004-07-15] Release 0.58
              * Support for index tag entries. Use the following syntax in
                your html code: <span
                title="indexterm:primary=Animals:secondary=Tiger">Tiger</span>
              * Improved handling if id's and internal references.
              * Fixed splitting of entities in literal environment.
              * Minor fixes.

   [2004-06-21] Release 0.57
              * Validation of generated DocBook XML.
              * Fixed style "strict".
              * New command line options -driver [fo driver] and -pdf for
                direct generation of PDF via the javadoc doclet.
              * Usage of catalog files.
              * Better portability of the TiDBiT project files.
              * Improved Windows setup.

   [2004-04-28] Release 0.56
              * New: TiDbit has a new tab called Trafo, which provides the
                transformation of arbitrary DocBook XML files to PDF.
              * New section "Direct known subclasses".
              * New section "Methods inherited from".
              * Fix: If an html overview file starts with a h1 tag, the
                default chapter was not omitted.

   [2004-03-17] Release 0.55.3
              * Fix: The automatic copying of method comments created invalid
                link tags with no linkend attribute, if the source of an
                interface was not available.
              * Fix: The download links of the tutorial pointed to invalid
                locations.

   [2004-03-14] Release 0.55.2
              * New: The command line argument -nostatistics suppresses the
                generation of the the statistics appendix.
              * Update: Integration of the DocBook XSL stylesheets 1.65.1.
              * Fix: The statistic diagrams were created in the wrong
                subdirectory, depending on the current working directory.

   [2004-03-10] Release 0.55.1
              * Fix: All images were treated as JPG. Now the proper format is
                used again.
              * Fix: Classes without a package caused an
                IllegalArgumentException.
              * Fix: The examples script runexamples.sh failed. Serveral bugs
                were fixed.

   [2004-03-09] Release 0.55.0
              * Fix: A NullPointerException was thrown, when saving new
                projects with dbdoclet.tidbit.
              * Fix: Readded HTML documentation, which was not delivered with
                the last release.
              * New: Added appendix with some statistical information about
                the documented classes.
              * New: Lines inside a programlisting or screen tag which are
                longer than the specified width, are splitted into serveral
                lines with a backslash character in the end.

   Copyright © 2001-2015, Michael Fuchs
